Please note: This project is no longer active. The website is kept online for historic purposes only.
If you´re looking for a Linux driver for your Atheros WLAN device, you should continue here .

Ticket #1466 (new defect)

Opened 14 years ago

Last modified 13 years ago

sta mode disconnect

Reported by: thepeople@mail.berlios.de Assigned to:
Priority: minor Milestone:
Component: madwifi: driver Version: trunk
Keywords: Cc:
Patch is attached: 0 Pending:

Description

I am using madwifi trunk r2568-20070710 on a Meraki Mini running OpenWrt?. When I have the device in sta mode with iwpriv ath0 wds 1 set I get disconnected every couple of hours from the ap, iwconfig shows that I am still connected but no traffic will pass until I do a ifconfig ath0 down and ifconfig ath0 up, when I do this I noticed that the router was using more memory

root@OpenWrt:~# free
              total         used         free       shared      buffers
  Mem:        29864         8264        21600            0          884
 Swap:            0            0            0
Total:        29864         8264        21600
root@OpenWrt:~# ifconfig ath0 down; ifconfig ath0 up
root@OpenWrt:~# free
              total         used         free       shared      buffers
  Mem:        29864         8276        21588            0          884
 Swap:            0            0            0
Total:        29864         8276        21588

If I set iwpriv ath0 bgscan 0 it has been connected for 11 hours without a issue.

Thanks Travis

Change History

(follow-up: ↓ 3 ) 07/27/07 00:53:15 changed by sigil

This sounds similar to the problem with ad-hoc mode. Does the madwifi output any error messages into the log?

07/27/07 00:58:36 changed by thepeople@mail.berlios.de

it did output

Jan  1 09:12:02 OpenWrt user.warn kernel: ath_rate_minstrel: no rates for 00:18:0a:01:19:81?

for one disconnect, but it disconnected a bunch of times before I tried bgscan

(in reply to: ↑ 1 ) 07/27/07 07:02:03 changed by mrenzmann

Replying to sigil:

Does the madwifi output any error messages into the log?

Yes, if you set the right debug flags. Refer to DevDocs/AthDebug for details.

07/30/07 23:24:51 changed by dyqith

Is 00:18:0a:01:19:81 your AP ?

07/31/07 00:43:38 changed by thepeople@mail.berlios.de

it is the client device

07/31/07 08:44:56 changed by dyqith

Can you show us your "iwconfig"/ifconfig stats/wlanconfig ath0 list on both your client/AP, if they're both under linux?

I wonder if the "disconnect" came first or the warning message. I'm thinking it disconnected first and the code can't find the rates anymore for that node.

So, the question is why it disconnected. If bgscan fixed things, maybe it jumped channels and disconnected your sta from your AP?

If you can try testing with

athdebug ath0 +state +mode +rate
80211debug ath0 +scan +state +inact

I think those should cover the scanning and state changes and should allow us to see what's happening in the system

07/31/07 20:22:27 changed by thepeople@mail.berlios.de

this is after a disconnect, I will try to catch the disconnect when it happens also. ifconfig stat is not a option on openwrt and the ap is running the stock Compex firmware (which is using linux but I have no command line access).

root@OpenWrt:~# dmesg
3d:fe:e1 aid 0x0
ath_newstate: wifi0: AUTH -> ASSOC
ath_newstate: RX filter 0x37 bssid 00:80:48:3d:fe:e1 aid 0x0
ath_newstate: wifi0: ASSOC -> AUTH
ath_newstate: RX filter 0x37 bssid 00:80:48:3d:fe:e1 aid 0x0
ath_newstate: wifi0: AUTH -> ASSOC
ath_newstate: RX filter 0x37 bssid 00:80:48:3d:fe:e1 aid 0x0
ath_newstate: wifi0: ASSOC -> AUTH
ath_newstate: RX filter 0x37 bssid 00:80:48:3d:fe:e1 aid 0x0
ath_newstate: wifi0: AUTH -> ASSOC
ath_newstate: RX filter 0x37 bssid 00:80:48:3d:fe:e1 aid 0x0
ath_newstate: wifi0: ASSOC -> AUTH
ath_newstate: RX filter 0x37 bssid 00:80:48:3d:fe:e1 aid 0x0
ath_newstate: wifi0: AUTH -> ASSOC
ath_newstate: RX filter 0x37 bssid 00:80:48:3d:fe:e1 aid 0x0
ath_newstate: wifi0: ASSOC -> AUTH
ath_newstate: RX filter 0x37 bssid 00:80:48:3d:fe:e1 aid 0x0
ath_newstate: wifi0: AUTH -> ASSOC
ath_newstate: RX filter 0x37 bssid 00:80:48:3d:fe:e1 aid 0x0
ath_newstate: wifi0: ASSOC -> AUTH
ath_newstate: RX filter 0x37 bssid 00:80:48:3d:fe:e1 aid 0x0
ath_newstate: wifi0: AUTH -> ASSOC
ath_newstate: RX filter 0x37 bssid 00:80:48:3d:fe:e1 aid 0x0
ath_newstate: wifi0: ASSOC -> AUTH
ath_newstate: RX filter 0x37 bssid 00:80:48:3d:fe:e1 aid 0x0
ath_newstate: wifi0: AUTH -> ASSOC
ath_newstate: RX filter 0x37 bssid 00:80:48:3d:fe:e1 aid 0x0
ath_newstate: wifi0: ASSOC -> AUTH
ath_newstate: RX filter 0x37 bssid 00:80:48:3d:fe:e1 aid 0x0
ath_newstate: wifi0: AUTH -> ASSOC
ath_newstate: RX filter 0x37 bssid 00:80:48:3d:fe:e1 aid 0x0
ath_newstate: wifi0: ASSOC -> AUTH
ath_newstate: RX filter 0x37 bssid 00:80:48:3d:fe:e1 aid 0x0
ath_newstate: wifi0: AUTH -> ASSOC
ath_newstate: RX filter 0x37 bssid 00:80:48:3d:fe:e1 aid 0x0
ath_newstate: wifi0: ASSOC -> AUTH
ath_newstate: RX filter 0x37 bssid 00:80:48:3d:fe:e1 aid 0x0
ath_newstate: wifi0: AUTH -> ASSOC
ath_newstate: RX filter 0x37 bssid 00:80:48:3d:fe:e1 aid 0x0
ath_newstate: wifi0: ASSOC -> AUTH
ath_newstate: RX filter 0x37 bssid 00:80:48:3d:fe:e1 aid 0x0
ath_newstate: wifi0: AUTH -> ASSOC
ath_newstate: RX filter 0x37 bssid 00:80:48:3d:fe:e1 aid 0x0
ath_newstate: wifi0: ASSOC -> AUTH
ath_newstate: RX filter 0x37 bssid 00:80:48:3d:fe:e1 aid 0x0
ath_newstate: wifi0: AUTH -> ASSOC
ath_newstate: RX filter 0x37 bssid 00:80:48:3d:fe:e1 aid 0x0
ath_newstate: wifi0: ASSOC -> AUTH
ath_newstate: RX filter 0x37 bssid 00:80:48:3d:fe:e1 aid 0x0
ath_newstate: wifi0: AUTH -> ASSOC
ath_newstate: RX filter 0x37 bssid 00:80:48:3d:fe:e1 aid 0x0
ath_newstate: wifi0: ASSOC -> AUTH
ath_newstate: RX filter 0x37 bssid 00:80:48:3d:fe:e1 aid 0x0
ath_newstate: wifi0: AUTH -> ASSOC
ath_newstate: RX filter 0x37 bssid 00:80:48:3d:fe:e1 aid 0x0
ath_newstate: wifi0: ASSOC -> AUTH
ath_newstate: RX filter 0x37 bssid 00:80:48:3d:fe:e1 aid 0x0
ath_newstate: wifi0: AUTH -> ASSOC
ath_newstate: RX filter 0x37 bssid 00:80:48:3d:fe:e1 aid 0x0
ath_newstate: wifi0: ASSOC -> AUTH
ath_newstate: RX filter 0x37 bssid 00:80:48:3d:fe:e1 aid 0x0
ath_newstate: wifi0: AUTH -> ASSOC
ath_newstate: RX filter 0x37 bssid 00:80:48:3d:fe:e1 aid 0x0
ath_newstate: wifi0: ASSOC -> AUTH
ath_newstate: RX filter 0x37 bssid 00:80:48:3d:fe:e1 aid 0x0
ath_newstate: wifi0: AUTH -> ASSOC
ath_newstate: RX filter 0x37 bssid 00:80:48:3d:fe:e1 aid 0x0
ath_newstate: wifi0: ASSOC -> AUTH
ath_newstate: RX filter 0x37 bssid 00:80:48:3d:fe:e1 aid 0x0
ath_newstate: wifi0: AUTH -> ASSOC
ath_newstate: RX filter 0x37 bssid 00:80:48:3d:fe:e1 aid 0x0
ath_newstate: wifi0: ASSOC -> AUTH
ath_newstate: RX filter 0x37 bssid 00:80:48:3d:fe:e1 aid 0x0
ath_newstate: wifi0: AUTH -> ASSOC
ath_newstate: RX filter 0x37 bssid 00:80:48:3d:fe:e1 aid 0x0
ath_newstate: wifi0: ASSOC -> AUTH
ath_newstate: RX filter 0x37 bssid 00:80:48:3d:fe:e1 aid 0x0
ath_newstate: wifi0: AUTH -> ASSOC
ath_newstate: RX filter 0x37 bssid 00:80:48:3d:fe:e1 aid 0x0
ath_newstate: wifi0: ASSOC -> AUTH
ath_newstate: RX filter 0x37 bssid 00:80:48:3d:fe:e1 aid 0x0
ath_newstate: wifi0: AUTH -> ASSOC
ath_newstate: RX filter 0x37 bssid 00:80:48:3d:fe:e1 aid 0x0
ath_newstate: wifi0: ASSOC -> AUTH
ath_newstate: RX filter 0x37 bssid 00:80:48:3d:fe:e1 aid 0x0
ath_newstate: wifi0: AUTH -> ASSOC
ath_newstate: RX filter 0x37 bssid 00:80:48:3d:fe:e1 aid 0x0
ath_newstate: wifi0: ASSOC -> AUTH
ath_newstate: RX filter 0x37 bssid 00:80:48:3d:fe:e1 aid 0x0
ath_newstate: wifi0: AUTH -> ASSOC
ath_newstate: RX filter 0x37 bssid 00:80:48:3d:fe:e1 aid 0x0
ath_newstate: wifi0: ASSOC -> AUTH
ath_newstate: RX filter 0x37 bssid 00:80:48:3d:fe:e1 aid 0x0
ath_newstate: wifi0: AUTH -> ASSOC
ath_newstate: RX filter 0x37 bssid 00:80:48:3d:fe:e1 aid 0x0
ath_newstate: wifi0: ASSOC -> AUTH
ath_newstate: RX filter 0x37 bssid 00:80:48:3d:fe:e1 aid 0x0
ath_newstate: wifi0: AUTH -> ASSOC
ath_newstate: RX filter 0x37 bssid 00:80:48:3d:fe:e1 aid 0x0
ath_newstate: wifi0: ASSOC -> AUTH
ath_newstate: RX filter 0x37 bssid 00:80:48:3d:fe:e1 aid 0x0
ath_newstate: wifi0: AUTH -> ASSOC
ath_newstate: RX filter 0x37 bssid 00:80:48:3d:fe:e1 aid 0x0
ath_newstate: wifi0: ASSOC -> AUTH
ath_newstate: RX filter 0x37 bssid 00:80:48:3d:fe:e1 aid 0x0
ath_newstate: wifi0: AUTH -> ASSOC
ath_newstate: RX filter 0x37 bssid 00:80:48:3d:fe:e1 aid 0x0
ath_newstate: wifi0: ASSOC -> AUTH
ath_newstate: RX filter 0x37 bssid 00:80:48:3d:fe:e1 aid 0x0
ath_newstate: wifi0: AUTH -> ASSOC
ath_newstate: RX filter 0x37 bssid 00:80:48:3d:fe:e1 aid 0x0
ath_newstate: wifi0: ASSOC -> AUTH
ath_newstate: RX filter 0x37 bssid 00:80:48:3d:fe:e1 aid 0x0
ath_newstate: wifi0: AUTH -> ASSOC
ath_newstate: RX filter 0x37 bssid 00:80:48:3d:fe:e1 aid 0x0
ath_newstate: wifi0: ASSOC -> AUTH
ath_newstate: RX filter 0x37 bssid 00:80:48:3d:fe:e1 aid 0x0
ath_newstate: wifi0: AUTH -> ASSOC
ath_newstate: RX filter 0x37 bssid 00:80:48:3d:fe:e1 aid 0x0
ath_newstate: wifi0: ASSOC -> AUTH
ath_newstate: RX filter 0x37 bssid 00:80:48:3d:fe:e1 aid 0x0
ath_newstate: wifi0: AUTH -> ASSOC
ath_newstate: RX filter 0x37 bssid 00:80:48:3d:fe:e1 aid 0x0
ath_newstate: wifi0: ASSOC -> AUTH
ath_newstate: RX filter 0x37 bssid 00:80:48:3d:fe:e1 aid 0x0
ath_newstate: wifi0: AUTH -> ASSOC
ath_newstate: RX filter 0x37 bssid 00:80:48:3d:fe:e1 aid 0x0
ath_newstate: wifi0: ASSOC -> AUTH
ath_newstate: RX filter 0x37 bssid 00:80:48:3d:fe:e1 aid 0x0
ath_newstate: wifi0: AUTH -> ASSOC
ath_newstate: RX filter 0x37 bssid 00:80:48:3d:fe:e1 aid 0x0
ath_newstate: wifi0: ASSOC -> AUTH
ath_newstate: RX filter 0x37 bssid 00:80:48:3d:fe:e1 aid 0x0
ath_newstate: wifi0: AUTH -> ASSOC
ath_newstate: RX filter 0x37 bssid 00:80:48:3d:fe:e1 aid 0x0
ath_newstate: wifi0: ASSOC -> AUTH
ath_newstate: RX filter 0x37 bssid 00:80:48:3d:fe:e1 aid 0x0
ath_newstate: wifi0: AUTH -> ASSOC
ath_newstate: RX filter 0x37 bssid 00:80:48:3d:fe:e1 aid 0x0
ath_newstate: wifi0: ASSOC -> AUTH
ath_newstate: RX filter 0x37 bssid 00:80:48:3d:fe:e1 aid 0x0
ath_newstate: wifi0: AUTH -> ASSOC
ath_newstate: RX filter 0x37 bssid 00:80:48:3d:fe:e1 aid 0x0
ath_newstate: wifi0: ASSOC -> AUTH
ath_newstate: RX filter 0x37 bssid 00:80:48:3d:fe:e1 aid 0x0
ath_newstate: wifi0: AUTH -> ASSOC
ath_newstate: RX filter 0x37 bssid 00:80:48:3d:fe:e1 aid 0x0
ath_newstate: wifi0: ASSOC -> AUTH
ath_newstate: RX filter 0x37 bssid 00:80:48:3d:fe:e1 aid 0x0
ath_newstate: wifi0: AUTH -> ASSOC
ath_newstate: RX filter 0x37 bssid 00:80:48:3d:fe:e1 aid 0x0
ath_newstate: wifi0: ASSOC -> AUTH
ath_newstate: RX filter 0x37 bssid 00:80:48:3d:fe:e1 aid 0x0
ath_newstate: wifi0: AUTH -> ASSOC
ath_newstate: RX filter 0x37 bssid 00:80:48:3d:fe:e1 aid 0x0
ath_newstate: wifi0: ASSOC -> AUTH
ath_newstate: RX filter 0x37 bssid 00:80:48:3d:fe:e1 aid 0x0
ath_newstate: wifi0: AUTH -> ASSOC
ath_newstate: RX filter 0x37 bssid 00:80:48:3d:fe:e1 aid 0x0
ath_newstate: wifi0: ASSOC -> AUTH
ath_newstate: RX filter 0x37 bssid 00:80:48:3d:fe:e1 aid 0x0
ath_newstate: wifi0: AUTH -> ASSOC
ath_newstate: RX filter 0x37 bssid 00:80:48:3d:fe:e1 aid 0x0
ath_newstate: wifi0: ASSOC -> AUTH
ath_newstate: RX filter 0x37 bssid 00:80:48:3d:fe:e1 aid 0x0
ath_newstate: wifi0: AUTH -> ASSOC
ath_newstate: RX filter 0x37 bssid 00:80:48:3d:fe:e1 aid 0x0
ath_newstate: wifi0: ASSOC -> AUTH
ath_newstate: RX filter 0x37 bssid 00:80:48:3d:fe:e1 aid 0x0
ath_newstate: wifi0: AUTH -> ASSOC
ath_newstate: RX filter 0x37 bssid 00:80:48:3d:fe:e1 aid 0x0
ath_newstate: wifi0: ASSOC -> AUTH
ath_newstate: RX filter 0x37 bssid 00:80:48:3d:fe:e1 aid 0x0
ath_newstate: wifi0: AUTH -> ASSOC
ath_newstate: RX filter 0x37 bssid 00:80:48:3d:fe:e1 aid 0x0
ath_newstate: wifi0: ASSOC -> AUTH
ath_newstate: RX filter 0x37 bssid 00:80:48:3d:fe:e1 aid 0x0
ath_newstate: wifi0: AUTH -> ASSOC
ath_newstate: RX filter 0x37 bssid 00:80:48:3d:fe:e1 aid 0x0
ath_newstate: wifi0: ASSOC -> AUTH
ath_newstate: RX filter 0x37 bssid 00:80:48:3d:fe:e1 aid 0x0
ath_newstate: wifi0: AUTH -> ASSOC
ath_newstate: RX filter 0x37 bssid 00:80:48:3d:fe:e1 aid 0x0
ath_newstate: wifi0: ASSOC -> AUTH
ath_newstate: RX filter 0x37 bssid 00:80:48:3d:fe:e1 aid 0x0
ath_newstate: wifi0: AUTH -> ASSOC
ath_newstate: RX filter 0x37 bssid 00:80:48:3d:fe:e1 aid 0x0
ath_newstate: wifi0: ASSOC -> AUTH
ath_newstate: RX filter 0x37 bssid 00:80:48:3d:fe:e1 aid 0x0
ath_newstate: wifi0: AUTH -> ASSOC
ath_newstate: RX filter 0x37 bssid 00:80:48:3d:fe:e1 aid 0x0
ath_newstate: wifi0: ASSOC -> AUTH
ath_newstate: RX filter 0x37 bssid 00:80:48:3d:fe:e1 aid 0x0
ath_newstate: wifi0: AUTH -> ASSOC
ath_newstate: RX filter 0x37 bssid 00:80:48:3d:fe:e1 aid 0x0
ath_newstate: wifi0: ASSOC -> AUTH
ath_newstate: RX filter 0x37 bssid 00:80:48:3d:fe:e1 aid 0x0
ath_newstate: wifi0: AUTH -> ASSOC
ath_newstate: RX filter 0x37 bssid 00:80:48:3d:fe:e1 aid 0x0
ath_newstate: wifi0: ASSOC -> AUTH
ath_newstate: RX filter 0x37 bssid 00:80:48:3d:fe:e1 aid 0x0
ath_newstate: wifi0: AUTH -> ASSOC
ath_newstate: RX filter 0x37 bssid 00:80:48:3d:fe:e1 aid 0x0
ath_newstate: wifi0: ASSOC -> AUTH
ath_newstate: RX filter 0x37 bssid 00:80:48:3d:fe:e1 aid 0x0
ath_newstate: wifi0: AUTH -> ASSOC
ath_newstate: RX filter 0x37 bssid 00:80:48:3d:fe:e1 aid 0x0
ath_newstate: wifi0: ASSOC -> AUTH
ath_newstate: RX filter 0x37 bssid 00:80:48:3d:fe:e1 aid 0x0
ath_newstate: wifi0: AUTH -> ASSOC
ath_newstate: RX filter 0x37 bssid 00:80:48:3d:fe:e1 aid 0x0
ath_newstate: wifi0: ASSOC -> AUTH
ath_newstate: RX filter 0x37 bssid 00:80:48:3d:fe:e1 aid 0x0
ath_newstate: wifi0: AUTH -> ASSOC
ath_newstate: RX filter 0x37 bssid 00:80:48:3d:fe:e1 aid 0x0
ath_newstate: wifi0: ASSOC -> AUTH
ath_newstate: RX filter 0x37 bssid 00:80:48:3d:fe:e1 aid 0x0
ath_newstate: wifi0: AUTH -> ASSOC
ath_newstate: RX filter 0x37 bssid 00:80:48:3d:fe:e1 aid 0x0
ath_newstate: wifi0: ASSOC -> AUTH
ath_newstate: RX filter 0x37 bssid 00:80:48:3d:fe:e1 aid 0x0
ath_newstate: wifi0: AUTH -> ASSOC
ath_newstate: RX filter 0x37 bssid 00:80:48:3d:fe:e1 aid 0x0
ath_newstate: wifi0: ASSOC -> AUTH
ath_newstate: RX filter 0x37 bssid 00:80:48:3d:fe:e1 aid 0x0
ath_newstate: wifi0: AUTH -> ASSOC
ath_newstate: RX filter 0x37 bssid 00:80:48:3d:fe:e1 aid 0x0
ath_newstate: wifi0: ASSOC -> AUTH
ath_newstate: RX filter 0x37 bssid 00:80:48:3d:fe:e1 aid 0x0
ath_newstate: wifi0: AUTH -> ASSOC
ath_newstate: RX filter 0x37 bssid 00:80:48:3d:fe:e1 aid 0x0
ath_newstate: wifi0: ASSOC -> AUTH
ath_newstate: RX filter 0x37 bssid 00:80:48:3d:fe:e1 aid 0x0
ath_newstate: wifi0: AUTH -> ASSOC
ath_newstate: RX filter 0x37 bssid 00:80:48:3d:fe:e1 aid 0x0
ath_newstate: wifi0: ASSOC -> AUTH
ath_newstate: RX filter 0x37 bssid 00:80:48:3d:fe:e1 aid 0x0
ath_newstate: wifi0: AUTH -> ASSOC
ath_newstate: RX filter 0x37 bssid 00:80:48:3d:fe:e1 aid 0x0
ath_newstate: wifi0: ASSOC -> AUTH
ath_newstate: RX filter 0x37 bssid 00:80:48:3d:fe:e1 aid 0x0
ath_newstate: wifi0: AUTH -> ASSOC
ath_newstate: RX filter 0x37 bssid 00:80:48:3d:fe:e1 aid 0x0
ath_newstate: wifi0: ASSOC -> AUTH
ath_newstate: RX filter 0x37 bssid 00:80:48:3d:fe:e1 aid 0x0
ath_newstate: wifi0: AUTH -> ASSOC
ath_newstate: RX filter 0x37 bssid 00:80:48:3d:fe:e1 aid 0x0
ath_newstate: wifi0: ASSOC -> AUTH
ath_newstate: RX filter 0x37 bssid 00:80:48:3d:fe:e1 aid 0x0
ath_newstate: wifi0: AUTH -> ASSOC
ath_newstate: RX filter 0x37 bssid 00:80:48:3d:fe:e1 aid 0x0
ath_newstate: wifi0: ASSOC -> AUTH
ath_newstate: RX filter 0x37 bssid 00:80:48:3d:fe:e1 aid 0x0
ath_newstate: wifi0: AUTH -> ASSOC
ath_newstate: RX filter 0x37 bssid 00:80:48:3d:fe:e1 aid 0x0
ath_newstate: wifi0: ASSOC -> AUTH
ath_newstate: RX filter 0x37 bssid 00:80:48:3d:fe:e1 aid 0x0
ath_newstate: wifi0: AUTH -> ASSOC
ath_newstate: RX filter 0x37 bssid 00:80:48:3d:fe:e1 aid 0x0
ath_newstate: wifi0: ASSOC -> AUTH
ath_newstate: RX filter 0x37 bssid 00:80:48:3d:fe:e1 aid 0x0
ath_newstate: wifi0: AUTH -> ASSOC
ath_newstate: RX filter 0x37 bssid 00:80:48:3d:fe:e1 aid 0x0
ath_newstate: wifi0: ASSOC -> AUTH
ath_newstate: RX filter 0x37 bssid 00:80:48:3d:fe:e1 aid 0x0
ath_newstate: wifi0: AUTH -> ASSOC
ath_newstate: RX filter 0x37 bssid 00:80:48:3d:fe:e1 aid 0x0
ath_newstate: wifi0: ASSOC -> AUTH
ath_newstate: RX filter 0x37 bssid 00:80:48:3d:fe:e1 aid 0x0
ath_newstate: wifi0: AUTH -> ASSOC
ath_newstate: RX filter 0x37 bssid 00:80:48:3d:fe:e1 aid 0x0
ath_newstate: wifi0: ASSOC -> AUTH
ath_newstate: RX filter 0x37 bssid 00:80:48:3d:fe:e1 aid 0x0
ath_newstate: wifi0: AUTH -> ASSOC
ath_newstate: RX filter 0x37 bssid 00:80:48:3d:fe:e1 aid 0x0
ath_newstate: wifi0: ASSOC -> AUTH
ath_newstate: RX filter 0x37 bssid 00:80:48:3d:fe:e1 aid 0x0
ath_newstate: wifi0: AUTH -> ASSOC
ath_newstate: RX filter 0x37 bssid 00:80:48:3d:fe:e1 aid 0x0
ath_newstate: wifi0: ASSOC -> AUTH
ath_newstate: RX filter 0x37 bssid 00:80:48:3d:fe:e1 aid 0x0
ath_newstate: wifi0: AUTH -> ASSOC
ath_newstate: RX filter 0x37 bssid 00:80:48:3d:fe:e1 aid 0x0
ath_newstate: wifi0: ASSOC -> AUTH
ath_newstate: RX filter 0x37 bssid 00:80:48:3d:fe:e1 aid 0x0
ath_newstate: wifi0: AUTH -> ASSOC
ath_newstate: RX filter 0x37 bssid 00:80:48:3d:fe:e1 aid 0x0
ath_newstate: wifi0: ASSOC -> AUTH
ath_newstate: RX filter 0x37 bssid 00:80:48:3d:fe:e1 aid 0x0
ath_newstate: wifi0: AUTH -> ASSOC
ath_newstate: RX filter 0x37 bssid 00:80:48:3d:fe:e1 aid 0x0
ath_newstate: wifi0: ASSOC -> AUTH
ath_newstate: RX filter 0x37 bssid 00:80:48:3d:fe:e1 aid 0x0
ath_newstate: wifi0: AUTH -> ASSOC
ath_newstate: RX filter 0x37 bssid 00:80:48:3d:fe:e1 aid 0x0
ath_newstate: wifi0: ASSOC -> AUTH
ath_newstate: RX filter 0x37 bssid 00:80:48:3d:fe:e1 aid 0x0
ath_newstate: wifi0: AUTH -> ASSOC
ath_newstate: RX filter 0x37 bssid 00:80:48:3d:fe:e1 aid 0x0
ath_newstate: wifi0: ASSOC -> RUN
ath_newstate: RX filter 0x37 bssid 00:80:48:3d:fe:e1 aid 0xc001
ath_rate_minstrel: 00:80:48:3d:fe:e1 ath_rate_newassoc
ath_newstate(RUN): ic_flags=0x400c6004 iv=100 bssid=00:80:48:3d:fe:e1 capinfo=0x0421 chan=1
br-lan: port 2(ath0) entering learning state
br-lan: topology change detected, propagating
br-lan: port 2(ath0) entering forwarding state
ath_scan_start: RX filter 0x37 bssid ff:ff:ff:ff:ff:ff aid 0
ath_mode_init: RX filter 0x37, MC filter 00000000:00000040
ath_scan_end: RX filter 0x37 bssid 00:80:48:3d:fe:e1 aid 0xc001
ath_mode_init: RX filter 0x37, MC filter 00000000:00000040
ath_scan_start: RX filter 0x37 bssid ff:ff:ff:ff:ff:ff aid 0
ath_mode_init: RX filter 0x37, MC filter 00000000:00000040
ath_scan_end: RX filter 0x37 bssid 00:80:48:3d:fe:e1 aid 0xc001
ath_mode_init: RX filter 0x37, MC filter 00000000:00000040
ath_scan_start: RX filter 0x37 bssid ff:ff:ff:ff:ff:ff aid 0
ath_mode_init: RX filter 0x37, MC filter 00000000:00000040
ath_scan_end: RX filter 0x37 bssid 00:80:48:3d:fe:e1 aid 0xc001
ath_mode_init: RX filter 0x37, MC filter 00000000:00000040

root@OpenWrt:~# iwconfig
eth0      no wireless extensions.

lo        no wireless extensions.

br-lan    no wireless extensions.

wifi0     no wireless extensions.

ath0      IEEE 802.11g  ESSID:"compex-wp54g1a1b"  Nickname:""
          Mode:Managed  Frequency:2.412 GHz  Access Point: 00:80:48:3D:FE:E1
          Bit Rate:36 Mb/s   Tx-Power:18 dBm   Sensitivity=1/1
          Retry:off   RTS thr:off   Fragment thr:off
          Encryption key:off
          Power Management:off
          Link Quality=40/70  Signal level=-54 dBm  Noise level=-94 dBm
          Rx invalid nwid:572  Rx invalid crypt:0  Rx invalid frag:0
          Tx excessive retries:0  Invalid misc:0   Missed beacon:0

root@OpenWrt:~# ifconfig
ath0      Link encap:Ethernet  HWaddr 00:18:0A:01:19:81
          UP BROADCAST RUNNING MULTICAST  MTU:1500  Metric:1
          RX packets:161 errors:0 dropped:0 overruns:0 frame:0
          TX packets:128 errors:0 dropped:0 overruns:0 carrier:0
          collisions:0 txqueuelen:0
          RX bytes:10058 (9.8 KiB)  TX bytes:8232 (8.0 KiB)

br-lan    Link encap:Ethernet  HWaddr 00:18:0A:01:19:81
          inet addr:192.168.3.2  Bcast:192.168.3.255  Mask:255.255.255.0
          UP BROADCAST RUNNING MULTICAST  MTU:1500  Metric:1
          RX packets:1721 errors:0 dropped:0 overruns:0 frame:0
          TX packets:1404 errors:0 dropped:0 overruns:0 carrier:0
          collisions:0 txqueuelen:0
          RX bytes:112812 (110.1 KiB)  TX bytes:244259 (238.5 KiB)

eth0      Link encap:Ethernet  HWaddr 00:18:0A:01:19:81
          UP BROADCAST RUNNING MULTICAST  MTU:1500  Metric:1
          RX packets:2872 errors:0 dropped:0 overruns:0 frame:0
          TX packets:1506 errors:0 dropped:0 overruns:0 carrier:0
          collisions:0 txqueuelen:1000
          RX bytes:208970 (204.0 KiB)  TX bytes:255694 (249.7 KiB)
          Interrupt:4 Base address:0x1000

lo        Link encap:Local Loopback
          inet addr:127.0.0.1  Mask:255.0.0.0
          UP LOOPBACK RUNNING  MTU:16436  Metric:1
          RX packets:0 errors:0 dropped:0 overruns:0 frame:0
          TX packets:0 errors:0 dropped:0 overruns:0 carrier:0
          collisions:0 txqueuelen:0
          RX bytes:0 (0.0 B)  TX bytes:0 (0.0 B)

wifi0     Link encap:Ethernet  HWaddr 00:18:0A:01:19:81
          UP BROADCAST RUNNING MULTICAST  MTU:1500  Metric:1
          RX packets:18377 errors:0 dropped:4957 overruns:0 frame:7
          TX packets:2537 errors:0 dropped:0 overruns:0 carrier:0
          collisions:0 txqueuelen:199
          RX bytes:1059638 (1.0 MiB)  TX bytes:153245 (149.6 KiB)
          Interrupt:3 Memory:b0000000-b00ffffc

root@OpenWrt:~# wlanconfig ath0 list
ADDR               AID CHAN RATE RSSI  DBM  IDLE  TXSEQ  TXFRAG  RXSEQ  RXFRAG CAPS ACAPS ERP    STATE     MODE
00:80:48:3d:fe:e1    1    1  36M   40  -55     0    149       7   2498       0 ESs          0        1   Normal

07/31/07 20:36:35 changed by thepeople@mail.berlios.de

I happened to get a quick disconnect, logs from the point of ifconfig ath0 down; ifconfig ath0 up (what I used to get reconnected)

br-lan: port 2(ath0) entering disabled state
ath_mode_init: RX filter 0x37, MC filter 00000000:00000000
ath_mode_init: RX filter 0x37, MC filter 00000000:00000000
ath_mode_init: RX filter 0x37, MC filter 00000000:00000000
ath_newstate: wifi0: INIT -> SCAN
ath_newstate: RX filter 0x37 bssid 00:80:48:3d:fe:e1 aid 0x0
ath_scan_start: RX filter 0x37 bssid ff:ff:ff:ff:ff:ff aid 0
ath_mode_init: RX filter 0x37, MC filter 00000000:00000000
ath_mode_init: RX filter 0x37, MC filter 00000000:00000040
ath_mode_init: RX filter 0x37, MC filter 00000000:00000040
ath_mode_init: RX filter 0x37, MC filter 00000000:00000040
ath_mode_init: RX filter 0x37, MC filter 00000000:00000040
ath_mode_init: RX filter 0x37, MC filter 00000000:00000040
ath_mode_init: RX filter 0x37, MC filter 00000000:00000040
ath_mode_init: RX filter 0x37, MC filter 00000000:00000040
ath_mode_init: RX filter 0x37, MC filter 00000000:00000040
ath_mode_init: RX filter 0x37, MC filter 00000000:00000040
ath_mode_init: RX filter 0x37, MC filter 00000000:00000040
ath_mode_init: RX filter 0x37, MC filter 00000000:00000040
ath_mode_init: RX filter 0x37, MC filter 00000000:00000040
ath_mode_init: RX filter 0x37, MC filter 00000000:00000040
ath_scan_end: RX filter 0x37 bssid 00:80:48:3d:fe:e1 aid 0x0
ath_mode_init: RX filter 0x37, MC filter 00000000:00000040
ath_rate_minstrel: ath_rate_ctl_reset 00:00:00:00:00:00 no rates (fixed -1)
ath_newstate: wifi0: SCAN -> AUTH
ath_newstate: RX filter 0x37 bssid 00:80:48:3d:fe:e1 aid 0x0
ath_newstate: wifi0: AUTH -> ASSOC
ath_newstate: RX filter 0x37 bssid 00:80:48:3d:fe:e1 aid 0x0
ath_rate_tx_complete: final ndx too low
ath_rate_minstrel: 00:80:48:3d:fe:e1 ath_rate_tx_complete no rates yet
ath_rate_tx_complete: final ndx too low
ath_rate_minstrel: 00:80:48:3d:fe:e1 ath_rate_tx_complete no rates yet
ath_newstate: wifi0: ASSOC -> RUN
ath_newstate: RX filter 0x37 bssid 00:80:48:3d:fe:e1 aid 0xc001
ath_rate_minstrel: 00:80:48:3d:fe:e1 ath_rate_newassoc
ath_newstate(RUN): ic_flags=0x400c6004 iv=100 bssid=00:80:48:3d:fe:e1 capinfo=0x0421 chan=1
br-lan: port 2(ath0) entering learning state
br-lan: topology change detected, propagating
br-lan: port 2(ath0) entering forwarding state
ath_scan_start: RX filter 0x37 bssid ff:ff:ff:ff:ff:ff aid 0
ath_scan_end: RX filter 0x37 bssid 00:80:48:3d:fe:e1 aid 0xc001
ath_scan_start: RX filter 0x37 bssid ff:ff:ff:ff:ff:ff aid 0
ath_mode_init: RX filter 0x37, MC filter 00000000:00000040
ath_scan_end: RX filter 0x37 bssid 00:80:48:3d:fe:e1 aid 0xc001
ath_mode_init: RX filter 0x37, MC filter 00000000:00000040
ath_scan_start: RX filter 0x37 bssid ff:ff:ff:ff:ff:ff aid 0
ath_mode_init: RX filter 0x37, MC filter 00000000:00000040
ath_scan_end: RX filter 0x37 bssid 00:80:48:3d:fe:e1 aid 0xc001
ath_mode_init: RX filter 0x37, MC filter 00000000:00000040
ath_scan_start: RX filter 0x37 bssid ff:ff:ff:ff:ff:ff aid 0
ath_mode_init: RX filter 0x37, MC filter 00000000:00000040
ath_scan_end: RX filter 0x37 bssid 00:80:48:3d:fe:e1 aid 0xc001
ath_mode_init: RX filter 0x37, MC filter 00000000:00000040

root@OpenWrt:~# iwconfig
eth0      no wireless extensions.

lo        no wireless extensions.

br-lan    no wireless extensions.

wifi0     no wireless extensions.

ath0      IEEE 802.11g  ESSID:"compex-wp54g1a1b"  Nickname:""
          Mode:Managed  Frequency:2.412 GHz  Access Point: 00:80:48:3D:FE:E1
          Bit Rate:36 Mb/s   Tx-Power:18 dBm   Sensitivity=1/1
          Retry:off   RTS thr:off   Fragment thr:off
          Encryption key:off
          Power Management:off
          Link Quality=40/70  Signal level=-56 dBm  Noise level=-96 dBm
          Rx invalid nwid:574  Rx invalid crypt:0  Rx invalid frag:0
          Tx excessive retries:0  Invalid misc:0   Missed beacon:0

root@OpenWrt:~# ifconfig
ath0      Link encap:Ethernet  HWaddr 00:18:0A:01:19:81
          UP BROADCAST RUNNING MULTICAST  MTU:1500  Metric:1
          RX packets:617 errors:0 dropped:0 overruns:0 frame:0
          TX packets:1135 errors:0 dropped:0 overruns:0 carrier:0
          collisions:0 txqueuelen:0
          RX bytes:49032 (47.8 KiB)  TX bytes:111618 (109.0 KiB)

br-lan    Link encap:Ethernet  HWaddr 00:18:0A:01:19:81
          inet addr:192.168.3.2  Bcast:192.168.3.255  Mask:255.255.255.0
          UP BROADCAST RUNNING MULTICAST  MTU:1500  Metric:1
          RX packets:3368 errors:0 dropped:0 overruns:0 frame:0
          TX packets:2748 errors:0 dropped:0 overruns:0 carrier:0
          collisions:0 txqueuelen:0
          RX bytes:200884 (196.1 KiB)  TX bytes:466431 (455.4 KiB)

eth0      Link encap:Ethernet  HWaddr 00:18:0A:01:19:81
          UP BROADCAST RUNNING MULTICAST  MTU:1500  Metric:1
          RX packets:5331 errors:0 dropped:0 overruns:0 frame:0
          TX packets:3158 errors:0 dropped:0 overruns:0 carrier:0
          collisions:0 txqueuelen:1000
          RX bytes:381072 (372.1 KiB)  TX bytes:507922 (496.0 KiB)
          Interrupt:4 Base address:0x1000

lo        Link encap:Local Loopback
          inet addr:127.0.0.1  Mask:255.0.0.0
          UP LOOPBACK RUNNING  MTU:16436  Metric:1
          RX packets:0 errors:0 dropped:0 overruns:0 frame:0
          TX packets:0 errors:0 dropped:0 overruns:0 carrier:0
          collisions:0 txqueuelen:0
          RX bytes:0 (0.0 B)  TX bytes:0 (0.0 B)

wifi0     Link encap:Ethernet  HWaddr 00:18:0A:01:19:81
          UP BROADCAST RUNNING MULTICAST  MTU:1500  Metric:1
          RX packets:22452 errors:0 dropped:5589 overruns:0 frame:7
          TX packets:3584 errors:0 dropped:0 overruns:0 carrier:0
          collisions:0 txqueuelen:199
          RX bytes:1400389 (1.3 MiB)  TX bytes:284897 (278.2 KiB)
          Interrupt:3 Memory:b0000000-b00ffffc

12/09/08 07:12:49 changed by anonymous

So?